×
Форк K2 (Joomla 3 и 4, php 7 и 8) доступен для загрузки (19 нояб 2022)

Да, это действительно случилось.

Решено ActiveRecord::StatementInvalid: PG::InsufficientPrivilege

Подробнее
11 мес. 1 день назад #1 от Вебмастер
Вебмастер создал тему: ActiveRecord::StatementInvalid: PG::InsufficientPrivilege
При запуске теста приложения
$ bin/rails test test/models/post_test.rb

получаю отлуп:
ActiveRecord::StatementInvalid: PG::InsufficientPrivilege: ОШИБКА:  нужно быть владельцем базы my_app_test

Любые идеи... не силен в PostgreSQL.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Подробнее
11 мес. 1 день назад #2 от serge
Вот так, вероятно, попробуй:
$ sudo -u postgres psql
# ALTER USER WITH SUPERUSER;

А я смогу! - А поглядим! - А я упрямый!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Подробнее
11 мес. 1 день назад #3 от evgenij

Вот так, вероятно, попробуй:

$ sudo -u postgres psql
# ALTER USER WITH SUPERUSER;
Подробно расписаны все способы здесь :
Но serge дает хороший совет, с него рекомендую начать.
Какая версия postgres?

Have a lot of fun!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Работает на Kunena форум